Summary:	Library to manipulate RDF files describing LADSPA plugins
Summary(pl.UTF-8):	Biblioteka do przetwarzania plików RDF opisujących wtyczki LADSPA
Name:		liblrdf
Version:	0.6.1
Release:	1
License:	GPL v2+
Group:		Libraries
#Source0Download: https://github.com/swh/LRDF/releases
Source0:	https://github.com/swh/LRDF/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	8bb0ac7e8fe1a5a90083c89776bd3deb
URL:		http://sourceforge.net/projects/lrdf/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libraptor2-devel >= 2.0.0
BuildRequires:	libtool
BuildRequires:	ladspa-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
Requires:	ladspa-common
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a library to make it easy to manipulate RDF files describing
LADSPA plugins. It can also be used for general RDF manipulation. It
can read RDF/XML and N3 files and export N3 files.

%description -l pl.UTF-8
Ta biblioteka powstała, aby ułatwić przetwarzanie plików RDF
opisujących wtyczki LADSPA. Może być używana także do ogólnego
przetwarzania RDF. Jest w stanie czytać pliki RDF/XML i N3 oraz
eksportować do plików N3.

%package devel
Summary:	liblrdf header files
Summary(pl.UTF-8):	Pliki nagłówkowe liblrdf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libraptor2-devel >= 2.0.0

%description devel
liblrdf library header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki liblrdf.

%package static
Summary:	Static liblrdf library
Summary(pl.UTF-8):	Statyczna biblioteka liblrdf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static liblrdf library.

%description static -l pl.UTF-8
Statyczna biblioteka liblrdf.

%prep
%setup -q -n LRDF-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/liblrdf.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/liblrdf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblrdf.so.2
%{_datadir}/ladspa/rdf/ladspa.rdfs

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblrdf.so
%{_includedir}/lrdf*.h
%{_pkgconfigdir}/lrdf.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblrdf.a
%changelog
* Mon Dec 18 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/liblrdf.git;a=log;h=master

* Mon Dec 18 2017 Jakub Bogusz <qboosh@pld-linux.org> 847f64a
- updated to 0.6.1

* Tue Sep 27 2016 Jakub Bogusz <qboosh@pld-linux.org> a891ecd
- new Source URL, updated to 0.5.0 (uses raptor2 now)

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> 53b3dc1
- x32 rebuild
- release 6 (by relup.sh)

* Sat Apr 09 2011 Artur Frysiak <artur@frysiak.net> 12f1a21
- drop libtool file
- rel. 5

* Sun Nov 21 2010 Jakub Bogusz <qboosh@pld-linux.org> ef5fb14
- more verbose files
- ghost soname symlink

* Wed Oct 28 2009 Jan Rękorajski <baggins@pld-linux.org> 2174244
- rel 4

* Mon Apr 02 2007 Jan Rękorajski <baggins@pld-linux.org> c5cb433
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 00eabb4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2eea1a5
- converted to UTF-8

* Mon Jan 01 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 9de0c02
- rel 2

* Fri Mar 25 2005 Jakub Bogusz <qboosh@pld-linux.org> d13b317
- added URL

* Thu Mar 24 2005 freetz <freetz@pld-linux.org> 78a4fb6
- 0.4.0, new download url

* Sun Jul 11 2004 Jakub Bogusz <qboosh@pld-linux.org> 181ec6e
- release 3 to rebuild with libraptor linked with curl 7.12

* Thu May 13 2004 Jakub Bogusz <qboosh@pld-linux.org> f15d16d
- release 2

* Tue Apr 27 2004 Jakub Bogusz <qboosh@pld-linux.org> 67675a1
- spaces2tabs

* Tue Apr 27 2004 emes <emes@pld-linux.org> 3ab65fe
- added req libraptor-devel

* Tue Apr 20 2004 Jakub Bogusz <qboosh@pld-linux.org> 195bc21
- updated to 0.3.7

* Tue Feb 10 2004 freetz <freetz@pld-linux.org> 39dd10d
- 0.3.5

* Tue Jan 27 2004 Jakub Bogusz <qboosh@pld-linux.org> 8e13657
- updated to 0.3.4, BR: pkgconfig

* Sun Jan 04 2004 pawelb <pawelb@pld-linux.org> 0612d48
- added br ladspa-devel

